Bug 242661 - Commit problem: svn: E210002: Network connection closed unexpectedly
Summary: Commit problem: svn: E210002: Network connection closed unexpectedly
Status: In Progress
Alias: None
Product: Services
Classification: Unclassified
Component: Core Infrastructure (show other bugs)
Version: unspecified
Hardware: Any Any
: --- Affects Only Me
Assignee: clusteradm
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-16 12:14 UTC by Jochen Neumeister
Modified: 2020-01-16 01:29 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2019-12-16 12:14:06 UTC
I've had trouble publishing commititts for days. It fails from several tested servers. I've been getting this message for 1 hour now, I've tried it about 10 times.

"svn-commit.5.tmp" 32 lines, 1325 characters
svn: E170013: Commit failed (details follow):
svn: E170013: Unable to connect to a repository at URL 'svn+ssh://repo.freebsd.org/ports/head/www/gohugo'
svn: E210002: To better debug SSH connection problems, remove the -q option from 'ssh' in the [tunnels] section of your Subversion configuration file.
svn: E210002: Network connection closed unexpectedly
svn: E170013: Your commit message was left in a temporary file:
svn: E170013:    '/usr/home/joneum/dev/ports/www/svn-commit.5.tmp'
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2019-12-16 13:48:07 UTC
What's the output of the following?

$ ssh repo.freebsd.org
$ ping repo.freebsd.org
$ traceroute repo.freebsd.org
Comment 2 Jochen Neumeister freebsd_committer 2019-12-20 08:24:40 UTC
joneum@joneumbox:~ % ssh repo.freebsd.org
ssh: Could not resolve hostname repo.freebsd.org: Name does not resolve

joneum@joneumbox:~ % cat /etc/resolv.conf
# Generated by resolvconf
search your-server.de
nameserver 213.133.98.98
nameserver 213.133.99.99
nameserver 213.133.100.100
nameserver 8.8.8.8

joneum@joneumbox:~ % ping repo.freebsd.org
ping: cannot resolve repo.freebsd.org: Host name lookup failure

joneum@joneumbox:~ % traceroute repo.freebsd.org
traceroute to repo.freebsd.org (96.47.72.37), 64 hops max, 40 byte packets
 1  static.1.6.4.46.clients.your-server.de (46.4.6.1)  0.285 ms  0.326 ms  0.307 ms
 2  core22.fsn1.hetzner.com (213.239.224.5)  19.597 ms  55.168 ms
    core21.fsn1.hetzner.com (213.239.224.1)  1.129 ms
 3  core1.fra.hetzner.com (213.239.245.218)  4.987 ms  4.963 ms  4.934 ms
 4  zayo.fra.ecix.net (62.69.146.139)  5.069 ms  5.018 ms  5.157 ms
 5  ae1.cs1.fra9.de.eth.zayo.com (64.125.29.64)  82.010 ms  82.015 ms  81.968 ms
 6  ae0.cs1.fra6.de.eth.zayo.com (64.125.29.54)  81.989 ms  82.002 ms  82.003 ms
 7  ae2.cs1.ams17.nl.eth.zayo.com (64.125.29.59)  82.010 ms  88.013 ms  82.764 ms
 8  ae0.cs1.ams10.nl.eth.zayo.com (64.125.29.80)  81.962 ms  83.144 ms  106.832 ms
 9  ae2.cs1.lhr15.uk.eth.zayo.com (64.125.29.17)  104.209 ms  82.085 ms  82.049 ms
10  ae0.cs1.lhr11.uk.eth.zayo.com (64.125.29.118)  82.045 ms  81.939 ms  82.021 ms
11  * * *
12  ae20.mpr2.ewr1.us.zip.zayo.com (64.125.26.143)  81.730 ms  81.847 ms  81.652 ms
13  ae3.mpr2.ewr1.us.zip.zayo.com (64.125.31.238)  81.899 ms  98.378 ms  81.835 ms
14  208.184.34.238.IPYX-076763-900-ZYO.zip.zayo.com (208.184.34.238)  82.132 ms  82.144 ms  154.273 ms
15  cs90.cs89new.v.ewr.nyinternet.net (96.47.77.210)  82.372 ms  82.550 ms  82.369 ms
16  96.47.66.42.static.nyinternet.net (96.47.66.42)  82.159 ms  82.161 ms  82.904 ms
17  96.47.72.37 (96.47.72.37)  82.410 ms  83.017 ms  82.204 ms

similar problems with freefall.freebsd.org


The problem is temporary.

Two minutes later:

joneum@joneumbox:~ % ping repo.freebsd.org
PING repo.freebsd.org (96.47.72.37): 56 data bytes
64 bytes from 96.47.72.37: icmp_seq=0 ttl=48 time=82.256 ms
64 bytes from 96.47.72.37: icmp_seq=1 ttl=48 time=82.243 ms
64 bytes from 96.47.72.37: icmp_seq=2 ttl=48 time=82.293 ms
64 bytes from 96.47.72.37: icmp_seq=3 ttl=48 time=82.202 ms
64 bytes from 96.47.72.37: icmp_seq=4 ttl=48 time=82.318 ms
64 bytes from 96.47.72.37: icmp_seq=5 ttl=48 time=82.188 ms
64 bytes from 96.47.72.37: icmp_seq=6 ttl=48 time=82.410 ms
64 bytes from 96.47.72.37: icmp_seq=7 ttl=48 time=82.293 ms
64 bytes from 96.47.72.37: icmp_seq=8 ttl=48 time=82.495 ms
64 bytes from 96.47.72.37: icmp_seq=9 ttl=48 time=82.440 ms

joneum@joneumbox:~ % ssh repo.freebsd.org
Last login: Sat Jul 28 15:36:57 2018 from static.173.125.9.176.clients.your-server.de
FreeBSD 12.0-CURRENT (CLUSTER) #0 r333307: Sun May  6 20:11:26 UTC 2018

Unauthorized access is strictly prohibited.
role=svn build=amd64_12@333307

repo.freebsd.org

pkg: updated packages available: 16
pkg: orphans packages installed: 1 (Check /var/db/pkg/.orphans.txt)

Sorry, no login shells on this machine.
Only the "svnserve -t" command is available.
Connection to repo.freebsd.org closed.
Comment 3 Ryan Steinmetz freebsd_committer freebsd_triage 2019-12-20 14:02:50 UTC
Try moving 'nameserver 8.8.8.8' so it is before the other nameserver lines in resolv.conf.
Comment 4 Li-Wen Hsu freebsd_committer 2020-01-16 01:29:40 UTC
joneum: is this still happening?